%define name gnome-cpufreq-applet
%define version 0.3.1
%define release 1mdk

Summary: CPU frequency monitor for the GNOME panel
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://linups.org/~kal/gnome-cpufreq-applet/%{name}-%{version}.tar.bz2
License: GPL
Group: Monitoring
Url: http://linups.org/~kal/gnome-cpufreq-applet/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gnome-panel-devel
BuildRequires: scrollkeeper
BuildRequires:  perl-XML-Parser

%description
GNOME CPUFreq Applet is a CPU Frequency Scaling Monitor for GNOME Panel. 

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
%find_lang %name --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/cpufreq-applet.schemas

%preun
if [ "$1" = "0" ] ; then
 export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
 gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/cpufreq-applet.schemas > /dev/null
fi

%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%files -f %name.lang
%defattr(-,root,root)
%doc TODO AUTHORS ChangeLog
%_sysconfdir/gconf/schemas/cpufreq-applet.schemas
%_bindir/cpufreq-selector
%_libdir/bonobo/servers/GNOME_CPUFreqApplet.server
%_libexecdir/%name
%_datadir/%name
%_datadir/gnome-2.0/ui/GNOME_CPUFreqApplet.xml
%_datadir/omf/%name
%_datadir/pixmaps/%name

%changelog
* Thu Oct  7 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.3.1-1mdk
- New release 0.3.1

* Sun Oct  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3-1mdk
- update file list
- New release 0.3

* Sat Jul 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.1-1mdk
- drop yelp stuff
- New release 0.2.1

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.2-1mdk
- fix buildrequires
- new version

* Wed Mar  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.1-1mdk
- initial package
